﻿/*
 * Postarc
 *
 * Author:
 * Christian Lins <christian.lins@intevation.de>
 *
 * Copyright:
 * Copyright (C) 2012 Intevation GmbH <http://www.intevation.de/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using ESRI.ArcGIS.ADF.CATIDs;
using Postarc.Catalog;
using Postarc.Feature;

namespace Postarc
{
    public class PostarcCOMHelper
    {
        #region COM Registration

        [ComRegisterFunction]
        static void Register(string key)
        {
            //System.Windows.Forms.MessageBox.Show("Postarc::Register(" + key + ")");

            // Register PostGISFeatureClass
            System.Type type = typeof(PostarcClassDescription);
            GeoObjectClassExtensions.Register(type.GUID.ToString());
            GeoObjectClassDescriptions.Register(type.GUID.ToString());

            //System.Windows.Forms.MessageBox.Show(type.GUID.ToString());

            // Register ArcCatalog extension
            type = typeof(GxAddNewPostGISConnection);
            GxFolderNewMenuCommands.Register(type.GUID.ToString());
            GxDatabaseExtensions.Register(type.GUID.ToString());
            GxRootObjects.Register(type.GUID.ToString());
        }

        [ComUnregisterFunction]
        static void Unregister(string key)
        {
            ESRI.ArcGIS.ADF.CATIDs.GeoObjectClassExtensions.Unregister(key);
            ESRI.ArcGIS.ADF.CATIDs.GeoObjectClassDescriptions.Unregister(key);
        }

        #endregion
    }
}
